RCS "$Id: Part.sig,v 1.4 1999/04/22 22:22:15 pxs Exp $";
(*****************************************************************************)
(*              PARTICLES NEED AN ORDERING AND AN EQUALITY                   *)
(*****************************************************************************)

signature PART =
sig
   type part

   val hashval  : part -> word
     
   val eq : part * part -> bool
   val le : part * part -> bool

   val name    : part -> part
   val inverse : part -> part
   val isName  : part -> bool

   val mkstr  : part -> string
   val mkpart : string -> part

   structure ParticleSet : ORDERED_SET
   where type Element.element = part
end
