RCS "$Id: LogicProtected.sig,v 1.5 1998/08/13 11:38:50 pxs Exp $";
(* See Logic.sig. This is the more permissive version of that sig. *)
signature LOGIC_PROTECTED =
sig
  structure M : MODALITY_PROTECTED
  datatype prop = True
  | Var of V.var
  | Not of prop
  | And of prop * prop
  | Nec of M.modality * prop
  | Max of V.var * prop

   val printString : prop -> string
  
  val negativeVariableOccurrences : prop -> bool
end

